package com.ematou.wxbase.service;

import com.ematou.wxbase.entity.OperationRecord;
import com.ematou.wxbase.mapper.OperationRecordMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @author lhm
 * @version 1.0
 * 2021-04-30 16:45
 */
@Service
public class OperationRecordService {

    @Autowired
    OperationRecordMapper operationRecordMapper;

    public int insertRecord(OperationRecord record) {
        return operationRecordMapper.insertRecord(record);
    }

    public List<OperationRecord> queryAll(Map<String, Object> param) {
        return operationRecordMapper.queryAll(param);
    }

}
